package com.muyu.server.util;

import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.system.domain.LoginUser;
import com.muyu.common.system.domain.SysUser;
import com.muyu.domain.CarFenceClazz;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 *
 * @Author：yang
 * @Package：com.muyu.server.util
 * @Project：cloud-server-8
 * @name：ObtainRootLogin
 * @Date：2024/10/2 16:46
 */
public class ObtainRootLogin {

    public static String obtain(){
        LoginUser loginUser = SecurityUtils.getLoginUser();

        SysUser sysUser = loginUser.getSysUser();

        return sysUser.getDatabaseName();
    };
}
